[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#658829: transition: db-defaults

Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: transition


as announce earlier (5.1->5.2->5.3), I would like to start
transition from db5.1 (src:db) to db5.3 (src:db5.3) in unstable.

Hopefully lot of packages have learned from last time and the
transition will be smoothier then the on from db4.{6,7,8} to db5.1.

I would like to ship the wheezy with db5.3 and get rid of db5.1

db4.7 has been reduced just to utils and db4.8 still has some
dependencies left (with most prominent python2.7), but I would
like to try python2.7 with db5.3, maybe it will help the build
failures Martin Pitt is seeing.

The libdb transition tracker[1] has to be changed to:

Affected: .build-depends ~ /libdb((5|4)\..*)?-dev/
Good: .depends ~ /libdb5\.3/ | .pre-depends ~ /libdb5\.3/
Bad: .depends ~ /libdb(4|5\.1)/ | .pre-depends ~ /libdb(4|5\.1)/


1. http://release.debian.org/transitions/html/libdb.html

-- System Information:
Debian Release: 6.0.4
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Reply to: